/***

  User class

***/

#ifndef _USER_H_
#define _USER_H_

#include "DisplayInterface.h"
#include "Globals.h"
#include "World.h"
#include "Object.h"
#include "Mobile.h"

class User : public Mobile {
public:

	// constructor
	User( DisplayInterface &d, int x, int y, int _actingspeed, Direction _direction );

	// returns user identity
	virtual int identify( );

	// takes a turn to act in the world
	virtual bool act( DisplayInterface &d, World *w, int x, int y, int time );

	// disappears from the world
	virtual void die( DisplayInterface &d, World *w, int x, int y );

	// shows the object at its spot in the world
	virtual void show( DisplayInterface &d, World *w, int x, int y );

	// interface to get to is_super variable
	virtual bool is_super( ) const;

protected:

	char nkey, ekey, skey, wkey;

	int super_time;
	// Alternating bool for display
	bool pacman_flash;

};

#endif